@echo off
REM Install.bat for version 2.2                            03Dec9701:52

cls
echo Potato 2.2 Installation Batch File for Windows95
echo Usage: install.bat [ProgramDirectory WindowsDirectory]
echo.
echo        where ProgramDirectory is the directory to be created (if necessary)
echo        and which will contain program files. [default=c:\Pot]
echo.
echo        WindowsDirectory is the location of Windows95 [default=c:\windows]
echo.
echo. 
echo.
if not "%1" == "" goto param

echo Program files will be copied to: c:\Pot
echo Windows is located in:           c:\windows
echo.
echo.
echo If you are not using Windows95, please press Ctrl-C to abort this
echo installation, and read the file Potato.txt
echo.
pause
echo Copying files...

REM  POTATO
md c:\Pot
copy pot.exe c:\pot
if not exist c:\pot\pot.exe goto trap
copy nym.exe c:\pot
if exist c:\pot\pot.ini copy c:\pot\pot.ini c:\pot\pot.old
copy pot.ini c:\pot
copy pot.bak c:\pot

copy potato.txt c:\pot
copy tips.txt c:\pot
copy multpart.txt c:\pot
copy mailapps.txt c:\pot

copy uuencode.exe c:\pot
copy mpack.exe c:\pot
copy zapfile.com c:\pot


REM  DECRYPT
md c:\pot\Dec
copy dec.exe c:\pot\Dec
copy udec.exe c:\pot\Dec
if exist c:\pot\dec\dec.ini copy c:\pot\dec\dec.ini c:\pot\dec\dec.old
copy dec.ini c:\pot\Dec
copy dec.bak c:\pot\Dec

copy Decrypt.txt c:\pot\Dec
copy zapfile.com c:\pot\Dec

echo Creating shortcuts...

REM   POTATO SHORTCUTS
md "c:\windows\start menu\programs\Potato"
copy "Potato.pif" "c:\windows\start menu\programs\potato"
copy "Nym Editor.pif" "c:\windows\start menu\programs\potato"
copy "Potato Help.lnk" "c:\windows\start menu\programs\potato"
copy "Edit Potato INI.lnk" "c:\windows\start menu\programs\potato"
copy "Secure Potato.pif" "c:\windows\start menu\programs\potato"
copy "Desecure Potato.pif" "c:\windows\start menu\programs\potato"


REM   DECRYPT SHORTCUTS
md "c:\windows\start menu\programs\Potato\Decrypt"
copy "Desecure Dec.INI.pif" "c:\windows\start menu\programs\potato\Decrypt"
copy "Edit Decrypt INI.lnk" "c:\windows\start menu\programs\potato\Decrypt"
copy "Secure Dec.INI.pif" "c:\windows\start menu\programs\potato\Decrypt"
copy "Decrypt Mail.pif" "c:\windows\start menu\programs\potato\Decrypt"
copy "Decrypt Help.lnk" "c:\windows\start menu\programs\potato\Decrypt"
copy "View Decrypted Mail.lnk" "c:\windows\start menu\programs\potato\Decrypt"

echo.
echo Done.
goto end

:trap
echo off
echo Unable to complete installation!
goto end

:param
if "%2" == "" goto notenuf
if not "%3" == "" goto toomuch

echo Program files will be copied to: %1
echo Windows is located in:           %2
echo.
echo.
echo If you are not using Windows95, please press Ctrl-C to abort this
echo installation, and read the file Potato.txt
echo.
pause
echo Copying files...


REM  POTATO
md %1
copy pot.exe %1
if not exist %1\pot.exe goto trap
copy nym.exe %1
if exist %1\pot.ini copy %1\pot.ini %1\pot.old
copy pot.ini %1
copy pot.bak %1

copy potato.txt %1
copy tips.txt %1
copy multpart.txt %1
copy mailapps.txt %1

copy uuencode.exe %1
copy mpack.exe %1
copy zapfile.com %1


REM  DECRYPT
md %1\Dec
copy dec.exe %1\Dec
copy udec.exe %1\Dec
if exist %1\dec\dec.ini copy %1\dec\dec.ini %1\dec\dec.old
copy dec.ini %1\Dec
copy dec.bak %1\Dec

copy Decrypt.txt %1\Dec
copy zapfile.com %1\Dec

echo Creating shortcuts...


REM   POTATO SHORTCUTS
md "%2\start menu\programs\Potato"
copy "Potato.pif" "%2\start menu\programs\potato"
copy "Nym Editor.pif" "%2\start menu\programs\potato"
copy "Potato Help.lnk" "%2\start menu\programs\potato"
copy "Edit Potato INI.lnk" "%2\start menu\programs\potato"
copy "Secure Potato.pif" "%2\start menu\programs\potato"
copy "Desecure Potato.pif" "%2\start menu\programs\potato"


REM   DECRYPT SHORTCUTS
md "%2\start menu\programs\Potato\Decrypt"
copy "Desecure Dec.INI.pif" "%2\start menu\programs\potato\Decrypt"
copy "Edit Decrypt INI.lnk" "%2\start menu\programs\potato\Decrypt"
copy "Secure Dec.INI.pif" "%2\start menu\programs\potato\Decrypt"
copy "Decrypt Mail.pif" "%2\start menu\programs\potato\Decrypt"
copy "Decrypt Help.lnk" "%2\start menu\programs\potato\Decrypt"
copy "View Decrypted Mail.lnk" "%2\start menu\programs\potato\Decrypt"


echo.
echo Note: You will need to edit your shortcut properties to reflect the new
echo file locations and work paths.
echo Done.
goto end

:notenuf
echo ERROR: If you specify a ProgramDirectory you must specify a 
echo        WindowsDirectory
goto end

:toomuch
echo ERROR: Too many paramters.
goto end


:end
echo.

